| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Как в чертеже автоматически прописать полный путь?

Как в чертеже автоматически прописать полный путь?

Ответ
Поиск в этой теме
Непрочитано 14.09.2004, 14:45 #1
Как в чертеже автоматически прописать полный путь?
Соня
 
Пермь
Регистрация: 14.01.2004
Сообщений: 220

Давненько проблема светится, сейчас наиболее остро. Надо автоматически поставить полный путь чертежа, откуда он распечатался. Сделать это надо как в ворде это организованно, чтобы было видно где он стоит и чтобы подвигать можно было.
Стандартное прописание пути не устраивает при больших форматах чертежа, когда по бокам остается место, путь указывваается за пределами чертежа. и еще минус- путь не масштабируется с чертежом.
Просмотров: 4485
 
Непрочитано 14.09.2004, 15:26
#2
Torino


 
Регистрация: 21.08.2003
Штаб
Сообщений: 943
<phrase 1=


Варианты программ, для простановки полного пути сохранения файла можно найти здесь http://dwg.ru/forum/viewtopic.php?t=565

Другой вариант, воспользоваться plot stamp из параметров печати.

Также нужные утилиты лежат в ТулПаке.
Torino вне форума  
 
Автор темы   Непрочитано 14.09.2004, 15:29
#3
Соня


 
Регистрация: 14.01.2004
Пермь
Сообщений: 220


а что такое тулпак?
Соня вне форума  
 
Непрочитано 14.09.2004, 15:31
#4
Torino


 
Регистрация: 21.08.2003
Штаб
Сообщений: 943
<phrase 1=


ToolPac - сборник программ для Автокада, типа ExpressTools
Torino вне форума  
 
Непрочитано 14.09.2004, 15:38
#5
Apelsinov

Проектировщик ВК. LISP-любитель.
 
Регистрация: 15.12.2003
Москва
Сообщений: 1,193
<phrase 1=


можно создать rtext ("Remote text" из express tools), с таким дизельным выражением для
текущей даты:
Цитата:
"$(edtime, $(getvar, date),DD.MO.YYYY/HH:MM)"
имени файла:
Цитата:
"$(getvar, \"dwgname\")"
Пути с именем файла:
Цитата:
$(getvar, dwgprefix)$(getvar, "dwgname")
Дело в том, что отображение rtext меняется автоматически, в зависимости от изменения переменных в дизельном выражении. то есть если вы измените имя файла - оно автоматически изменится в тексте.
Или для себя набросал лиспик, создающий rtext (имя файла или дата)(минус лиспика в том что он ничего не создает если до этого в текущем сеансе не была запущена команда rtext):
Цитата:
(defun c:filename (/ A)
(setq cmd (getvar "cmdecho"))
(setvar "cmdecho" 0)
(initget "Date Filename")
(if (setq N (getkword "\n Выбери[Date/Filename]<exit>:"))
(progn
(setq N (cond
((eq N "Date")
"$(edtime, $(getvar, date),DD.MO.YYYY/HH:MM)"
)
((eq N "Filename") "$(getvar, \"dwgname\")")
)
)

(if (setq A (getpoint "\n Точка вставки:"))
(progn
(entmake (list
'(0 . "RTEXT")
;;; '(67 . 0)
'(100 . "AcDbEntity")
'(100 . "RText")
(cons 10 A)
'(50 . 0)
(cons 40 (getvar "textsize"))
(cons 7 (getvar "textstyle"))
'(70 . 1)
(cons 1 N)
)
)
)
)
)
)
(setvar "cmdecho" cmd)
(princ)
)
Apelsinov вне форума  
 
Непрочитано 14.09.2004, 16:33
#6
AY


 
Сообщений: n/a


>Apelsinov
Если добавить в код что-то вроде
Код:
[Выделить все]
    (if (not AcetRText:appload)
        (progn
            (load "rtext.lsp")
            (AcetRText:appload)
        ) ;_ end of progn
    ) ;_ end of if
то будет работать если до этого в текущем сеансе не была запущена команда rtext
 
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Как в чертеже автоматически прописать полный путь?

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск